<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddLdapDirectoryReq StructType
 * @subpackage Structs
 */
class AddLdapDirectoryReq extends APIRequest
{
    /**
     * The ldapDirectory
     * @var XLdapDirectory
     */
    public $ldapDirectory;
    /**
     * Constructor method for AddLdapDirectoryReq
     * @uses AddLdapDirectoryReq::setLdapDirectory()
     * @param XLdapDirectory $ldapDirectory
     */
    public function __construct(XLdapDirectory $ldapDirectory = null)
    {
        $this
            ->setLdapDirectory($ldapDirectory);
    }
    /**
     * Get ldapDirectory value
     * @return XLdapDirectory|null
     */
    public function getLdapDirectory()
    {
        return $this->ldapDirectory;
    }
    /**
     * Set ldapDirectory value
     * @param XLdapDirectory $ldapDirectory
     * @return AddLdapDirectoryReq
     */
    public function setLdapDirectory(XLdapDirectory $ldapDirectory = null)
    {
        $this->ldapDirectory = $ldapDirectory;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddLdapDirectoryReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
